# mongoc_collection_drop()

## Synopsis

    bool
    mongoc_collection_drop (mongoc_collection_t *collection, bson_error_t *error);

## Parameters

- `collection`: A mongoc_collection_t.

- `error`: An optional location for a bson_error_t or `NULL`.

## Description

For more information, see mongoc_collection_drop_with_opts(). This function is a thin wrapper, passing `NULL` in as `bson_t` parameter.